## tdenetwork-trinity 14.1.4

=== krdc/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( vnc )
add_subdirectory( rdp )


include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../libtdevnc
  ${CMAKE_CURRENT_BINARY_DIR}/../libtdevnc
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( krdc )

install( FILES
    pointcursor.png pointcursormask.png pinup.png pindown.png
    iconify.png close.png
  DESTINATION ${DATA_INSTALL_DIR}/krdc/pics )

install( FILES
    _rfb._tcp
  DESTINATION ${DATA_INSTALL_DIR}/zeroconf )

tde_create_translated_desktop(
  SOURCE krdc.desktop
  PO_DIR krdc-desktops
)

tde_create_translated_desktop(
  SOURCE smb2rdc.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
  PO_DIR krdc-desktops
)

tde_create_translated_desktop(
  SOURCE vnc.protocol rdp.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR krdc-desktops
)


##### krdc (executable) #########################

tde_add_executable( krdc AUTOMOC
  SOURCES
    main.cpp krdc.cpp vidmode.cpp kfullscreenpanel.cpp hostprofiles.ui
    maindialogbase.ui keycapturewidget.ui kservicelocator.cpp
    keycapturedialog.cpp kremoteview.cpp smartptr.cpp hostpreferences.cpp
    preferencesdialog.cpp maindialogwidget.cpp maindialog.cpp
  LINK vnc-static rdp-static tdeui-shared tdednssd-shared tdewalletclient-shared jpeg Xext ${LIB_SLP}
  DESTINATION ${BIN_INSTALL_DIR}
)

=== tdefile-plugins/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( torrent )

=== kopete/protocols/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_conditional_add_subdirectory( BUILD_KOPETE_PROTOCOL_TESTBED testbed )
tde_conditional_add_subdirectory( BUILD_KOPETE_PROTOCOL_GROUPWISE groupwise )
tde_conditional_add_subdirectory( BUILD_KOPETE_PROTOCOL_MSN msn )
tde_conditional_add_subdirectory( BUILD_KOPETE_PROTOCOL_IRC irc )
tde_conditional_add_subdirectory( BUILD_KOPETE_PROTOCOL_OSCAR oscar )
tde_conditional_add_subdirectory( BUILD_KOPETE_PROTOCOL_YAHOO yahoo )
tde_conditional_add_subdirectory( BUILD_KOPETE_PROTOCOL_WINPOPUP winpopup )
tde_conditional_add_subdirectory( BUILD_KOPETE_PROTOCOL_SMS sms )
tde_conditional_add_subdirectory( BUILD_KOPETE_PROTOCOL_JABBER jabber )
tde_conditional_add_subdirectory( BUILD_KOPETE_PROTOCOL_GADU gadu )
tde_conditional_add_subdirectory( BUILD_KOPETE_PROTOCOL_MEANWHILE meanwhile )

=== krdc/vnc/CMakeLists.txt ===
#################################################
#
#  (C) 2015 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing (DOT) net
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${CMAKE_CURRENT_SOURCE_DIR}/../../libtdevnc
  ${CMAKE_CURRENT_BINARY_DIR}/../../libtdevnc
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### vnc (static) ##############################

tde_add_library( vnc STATIC_PIC AUTOMOC
  SOURCES
    kvncview.cpp scaling.cpp threads.cpp
    vncprefs.ui vnchostpref.cpp
  LINK
    tdevncclient-static
)

=== ksirc/img/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( emoticons )

install( FILES
    server.xpm channel.xpm channels.xpm ksirc_a.xpm ksirc_b.xpm
    arrow.png greenpin.png madsmiley.png smiley.png sadsmiley.png
    blueball.png star.png bluepin.png info.png info1.png mini-run.png
    ksirc.png sdi.png mdi.png dcc.png kick.png mode.png quit.png X.png
    dccget.png minus.png notice.png servinfo.png action.png dccsend.png
    ominus.png topic.png bminus.png elipsis.png oplus.png bplus.png
    error.png part.png ctcpping.png join.png plus.png
  DESTINATION ${DATA_INSTALL_DIR}/ksirc/pics )

=== wifi/kwireless/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kwireless.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
  PO_DIR wifi-desktops
)


##### libkwireless (module) #####################

tde_add_kpart( libkwireless AUTOMOC
  SOURCES
    kwireless.cpp kwirelesswidget.cpp linuxwirelesswidget.cpp
    propertytablebase.ui propertytable.cpp
  LINK tdeui-shared ${IW_LIBRARY}
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kopete/plugins/contactnotes/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kopete_contactnotes.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kopete-desktops
)

install( FILES contactnotesui.rc DESTINATION ${DATA_INSTALL_DIR}/kopete_contactnotes )


##### kopete_contactnotes (module) ##############

tde_add_kpart( kopete_contactnotes AUTOMOC
  SOURCES contactnotesplugin.cpp contactnotesedit.cpp
  LINK kopete-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kopete/plugins/netmeeting/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

if( NOT BUILD_KOPETE_PROTOCOL_MSN )
  tde_message_fatal( "netmeeting plugin needs msn protocol.\n Add -DBUILD_KOPETE_PROTOCOL_MSN=ON to cmake flags." )
endif( )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${CMAKE_SOURCE_DIR}/kopete/libkopete/ui
  ${CMAKE_SOURCE_DIR}/kopete/protocols/msn
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kopete_netmeeting.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kopete-desktops
)

tde_create_translated_desktop(
  SOURCE kopete_netmeeting_config.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tdeconfiguredialog
  PO_DIR kopete-desktops
)

install( FILES netmeetingchatui.rc DESTINATION ${DATA_INSTALL_DIR}/kopete_netmeeting )


##### kopete_netmeeting (module) ################

tde_add_kpart( kopete_netmeeting AUTOMOC
  SOURCES
    netmeetingplugin.cpp netmeetinginvitation.cpp
    netmeetingguiclient.cpp
  LINK kopete_msn_shared-shared kopete-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_kopete_netmeeting (module) ############

tde_add_kpart( kcm_kopete_netmeeting AUTOMOC
  SOURCES
    netmeetingprefs_ui.ui netmeetingpreferences.cpp
  LINK tdeutils-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kopete/plugins/webpresence/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${CMAKE_SOURCE_DIR}/kopete/libkopete/ui
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBXML_INCLUDE_DIRS}
  ${LIBXSLT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kopete_webpresence.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kopete-desktops
)

tde_create_translated_desktop(
  SOURCE kopete_webpresence_config.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tdeconfiguredialog
  PO_DIR kopete-desktops
)

install( FILES
    webpresence_html.xsl webpresence_html_images.xsl
    webpresence_xhtml.xsl webpresence_xhtml_images.xsl
  DESTINATION ${DATA_INSTALL_DIR}/kopete/webpresence )


##### kopete_webpresence (module) ###############

tde_add_kpart( kopete_webpresence AUTOMOC
  SOURCES
    webpresenceplugin.cpp
  LINK kopete-shared ${LIBXML_LIBRARIES} ${LIBXSLT_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_kopete_webpresence (module) ###########

tde_add_kpart( kcm_kopete_webpresence AUTOMOC
  SOURCES
    webpresencepreferences.cpp webpresenceprefs.ui
  LINK kopete-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kopete/styles/Clean/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( Contents )

=== kppp/Rules/Estonia/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    Eesti_Telefon.rst
  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Estonia )

=== kppp/Rules/Greece/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    Hellas_digital_local_in_euro.rst Hellas_EPAK_Zone1_in_euro.rst
    Hellas_EPAK_Zone2_in_euro.rst Hellas_EPAK_local_in_euro.rst
    Hellas_analog_local_in_euro.rst
  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Greece )

=== debian/changelog ===
tdenetwork-trinity (4:14.1.4-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
Source: tdenetwork-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Modestas Vainius <geromanas@mailas.com>, Sarah Hobbs <hobbsee@ubuntu.com>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, docbook-to-man, doxygen, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgcrypt-dev, libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libspeex-dev, libsqlite3-dev, libxml2-dev, libxslt1-dev, libxtst-dev, libtqtinterface-doc, valgrind [!armel !mips !mipsel !riscv64], libxxf86vm-dev, libv4l-dev, libssl-dev, libtqca-dev
Standards-Version: 3.8.4

Package: tdenetwork-trinity
Section: tde
Architecture: all
Replaces: kdenetwork-trinity (<< 4:14.0.0~)
Breaks: kdenetwork-trinity (<< 4:14.0.0~)
Depends: dcoprss-trinity (>= ${source:Version}), tdenetwork-tdefile-plugins-trinity (>= ${source:Version}), kdict-trinity (>= ${source:Version}), tdednssd-trinity (>= ${source:Version}), kget-trinity (>= ${source:Version}), knewsticker-trinity (>= ${source:Version}), kopete-trinity (>= ${source:Version}), kpf-trinity (>= ${source:Version}), kppp-trinity (>= ${source:Version}), krdc-trinity (>= ${source:Version}), krfb-trinity (>= ${source:Version}), ksirc-trinity (>= ${source:Version}), kwifimanager-trinity (>= ${source:Version}), librss1-trinity (>= ${source:Version})
Recommends: tdenetwork-filesharing-trinity (>= ${source:Version}), ktalkd-trinity (>= ${source:Version}), lisa-trinity (>= ${source:Version})
Suggests: tdenetwork-trinity-doc-html (>= ${source:Version})
Description: network-related apps from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of network and networking related
 applications provided with the official release of Trinity.

Package: dcoprss-trinity
Section: net
Architecture: any
Replaces: dcoprss-trinity (<< 4:14.0.0~)
Breaks: dcoprss-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: RSS utilities for Trinity
 tdenetwork-dcoprss is a RSS to DCOP bridge, allowing all
 DCOP aware applications to access RSS news feeds. There is also
 a few sample utilities provided.
 .
 RSS is a standard for publishing news headlines.
 DCOP is the TDE interprocess communication protocol.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: tdenetwork-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: Trinity network documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE network documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kdict/. Documentation is provided for most
 TDE network packages.
 .
 This package is part of TDE, and a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: tdenetwork-tdefile-plugins-trinity
Section: tde
Architecture: any
Replaces: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Enhances: konqueror-trinity
Description: torrent metainfo plugin for Trinity
 This package provides a metainformation plugin for bittorrent files.
 .
 Kde uses tdefile-plugins to provide metainfo tab in the files properties
 dialog in konqueror and other file-handling applications.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: tdenetwork-filesharing-trinity
Section: net
Architecture: any
Replaces: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
Breaks: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: perl-suid
Description: network filesharing configuration module for Trinity
 This package provides a Trinity Control Center module to configure
 NFS and Samba.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kdict-trinity
Section: net
Architecture: any
Replaces: kdict-trinity (<< 4:14.0.0~)
Breaks: kdict-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Provides: dict-client-trinity
Description: dictionary client for Trinity
 KDict is an advanced TDE graphical client for the DICT Protocol, with full
 Unicode support. It enables you to search through dictionary databases for a
 word or phrase, then displays suitable definitions. KDict tries to ease
 basic as well as advanced queries.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kget-trinity
Section: net
Architecture: any
Replaces: kget-trinity (<< 4:14.0.0~)
Breaks: kget-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: download manager for Trinity
 KGet is a a download manager similar to GetRight or Go!zilla. It keeps
 all your downloads in one dialog and you can add and remove transfers.
 Transfers can be paused, resumed, queued or scheduled.
 Dialogs display info about status of transfers - progress, size, speed
 and remaining time. Program supports drag & drop from TDE
 applications and Netscape.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: knewsticker-trinity
Section: tde
Architecture: any
Replaces: knewsticker-trinity (<< 4:14.0.0~)
Breaks: knewsticker-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kicker-trinity
Suggests: khelpcenter-trinity, knewsticker-scripts-trinity
Description: news ticker applet for Trinity
 This is a news ticker applet for the Trinity panel. It can scroll news from
 your favorite news sites, such as lwn.net, /. and freshmeat.net.
 To achieve this, KNewsTicker requires the news sites to provide a
 RSS feed to newsitems. KNewsTicker already comes with a selection of
 good news sources which provide such files.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kopete-trinity
Section: tde
Architecture: any
Replaces: kopete-trinity (<< 4:14.0.0~)
Breaks: kopete-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: tqca-tls
Suggests: tdeartwork-emoticons-trinity, khelpcenter-trinity, imagemagick, gnupg, gnomemeeting
Description: instant messenger for Trinity
 Kopete is an instant messenger program which can communicate with a variety
 of IM systems, such as Yahoo, ICQ, MSN, IRC and Jabber.
 .
 Kopete includes the "Now Listening" plug-in that can report what music you
 are currently listening to, in a number of different players, including
 noatun, kscd, juk, kaffeine and amarok.
 .
 Support for more IM protocols can be added through a plugin system.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.
 .
 Homepage: http://kopete.kde.org

Package: kpf-trinity
Section: net
Architecture: any
Replaces: kpf-trinity (<< 4:14.0.0~)
Breaks: kpf-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: public fileserver for Trinity
 kpf provides simple file sharing using HTTP. kpf is strictly a public
 fileserver, which means that there are no access restrictions to shared
 files. Whatever you select for sharing is available to anyone. kpf is
 designed to be used for sharing files with friends.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kppp-trinity
Section: net
Architecture: any
Replaces: kppp-trinity (<< 4:14.0.0~)
Breaks: kppp-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ppp
Suggests: khelpcenter-trinity
Description: modem dialer and ppp frontend for Trinity
 KPPP is a dialer and front end for pppd. It allows for interactive
 script generation and network setup. It will automate the dialing in
 process to your ISP while letting you conveniently monitor the entire
 process.
 .
 Once connected KPPP will provide a rich set of statistics and keep
 track of the time spent online for you.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: krdc-trinity
Section: net
Architecture: any
Replaces: krdc-trinity (<< 4:14.0.0~)
Breaks: krdc-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Recommends: rdesktop, libjpeg-turbo62
Description: Remote Desktop Connection for Trinity
 krdc is an TDE graphical client for the rfb protocol, used by VNC,
 and if rdesktop is installed, krdc can connect to Windows Terminal
 Servers using RDP.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: krfb-trinity
Section: net
Architecture: any
Replaces: krfb-trinity (<< 4:14.0.0~)
Breaks: krfb-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Recommends: libjpeg-turbo62
Description: Desktop Sharing for Trinity
 Desktop Sharing (krfb) is a server application that allows you to share
 your current session with a user on another machine, who can use a
 VNC client like krdc to view or even control the desktop. It doesn't
 require you to start a new X session - it can share the current session.
 This makes it very useful when you want someone to help you perform a
 task.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: ksirc-trinity
Section: net
Architecture: any
Replaces: ksirc-trinity (<< 4:14.0.0~)
Breaks: ksirc-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${perl:Depends}
Recommends: libio-socket-ssl-perl
Suggests: khelpcenter-trinity
Description: IRC client for Trinity
 KSirc is an IRC chat client for TDE. It supports scripting with Perl and has a
 lot of compatibility with mIRC for general use.
 .
 If you want to connect to an IRC server via SSL, you will need to install the
 recommended package libio-socket-ssl-perl.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: ktalkd-trinity
Section: net
Priority: extra
Replaces: ktalkd-trinity (<< 4:14.0.0~)
Breaks: ktalkd-trinity (<< 4:14.0.0~)
Architecture: any
Depends: ${shlibs:Depends}, netbase, update-inetd
Recommends: talk, ytalk
Suggests: khelpcenter-trinity
Provides: talkd-trinity
Description: talk daemon for Trinity
 KTalkd is an enhanced talk daemon - a program to handle incoming talk

## tdenetwork-trinity 14.1.5~pre15

=== debian/changelog ===
tdenetwork-trinity (4:14.1.5~pre15-0ubuntu25.10.0+4) questing; urgency=low

  * Automated git build for fcb57dcacf723ee5bbf9b716871ba33181bc81d1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdenetwork-trinity 14.1.5

=== kget/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )
add_subdirectory( icons )
add_subdirectory( sounds )
add_subdirectory( kget_plug_in )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )

tde_create_translated_desktop(
  SOURCE kget.desktop
  PO_DIR kget-desktops
)

tde_create_translated_desktop(
  SOURCE x-kgetlist.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application
  PO_DIR kget-desktops
)

tde_create_translated_desktop(
  SOURCE kget_download.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
  PO_DIR kget-desktops
)

install( FILES kgetui.rc DESTINATION ${DATA_INSTALL_DIR}/kget )

tde_create_translated_desktop(
  SOURCE eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/kget
  PO_DIR kget-eventsrc
)


##### kget (executable) #########################

tde_add_executable( kget AUTOMOC
  SOURCES
    getfilejob.cpp slaveevent.cpp slave.cpp transferlist.cpp
    transfer.cpp settings.cpp logwindow.cpp tdemainwidget.cpp tdefileio.cpp
    droptarget.cpp docking.cpp dlgconnectionbase.ui dlgautomationbase.ui
    dlglimitsbase.ui dlgadvancedbase.ui dlgdirectoriesbase.ui
    dlgsystembase.ui dlgSystem.cpp dlgPreferences.cpp dlgLimits.cpp
    dlgIndividual.cpp dlgDirectories.cpp dlgConnection.cpp
    dlgAutomation.cpp dlgAdvanced.cpp main.cpp dockindividual.cpp
    kget_iface.skel safedelete.cpp
  LINK tdeio-shared Xext
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kpf/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( src )


##### other data ################################

tde_install_icons( kpf )

tde_create_translated_desktop(
  SOURCE kpfapplet.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
  PO_DIR kpf-desktops
)

tde_create_translated_desktop(
  SOURCE kpfpropertiesdialogplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kpf-desktops
)

=== krfb/CMakeLists.txt ===
#################################################
#
#  (C) 2015 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing (DOT) net
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( srvloc )
add_subdirectory( kinetd )
add_subdirectory( krfb )
add_subdirectory( kcm_krfb )
add_subdirectory( krfb_httpd )

=== ktalkd/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( ktalkd )
add_subdirectory( mail.local )
add_subdirectory( kcmktalkd )
add_subdirectory( ktalkdlg )

=== lanbrowsing/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( lisa )
add_subdirectory( kcmlisa )
add_subdirectory( tdeio_lan )

=== librss/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( librss )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    article.h document.h global.h image.h textinput.h loader.h librss.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/rss )


##### rss (shared) ##############################

tde_add_library( rss SHARED AUTOMOC
  SOURCES
    article.cpp document.cpp image.cpp textinput.cpp tools_p.cpp
    loader.cpp
  VERSION 1.0.0
  LINK tdeio-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

##### install import cmake modules ###############

tde_install_export( )

=== doc/knewsticker/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION knewsticker )

=== doc/krfb/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION krfb )

=== doc/kwifimanager/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kwifimanager )

=== doc/lisa/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION lisa )

=== filesharing/advanced/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( nfs )
add_subdirectory( kcm_sambaconf )
add_subdirectory( propsdlgplugin )

=== filesharing/simple/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../advanced/propsdlgplugin
  ${CMAKE_CURRENT_BINARY_DIR}/../advanced/propsdlgplugin
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE fileshare.desktop
  PO_DIR filesharing-desktops
)


##### kcm_fileshare (module) ####################

tde_add_kpart( kcm_fileshare AUTOMOC
  SOURCES
    fileshare.cpp controlcenter.ui groupconfiggui.ui groupconfigdlg.cpp
    krichtextlabel.cpp
  LINK
    propsdlgplugin_common-static filesharenfs-static filesharesamba-static
    tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdenetwork-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Modestas Vainius <geromanas@mailas.com>, Sarah Hobbs <hobbsee@ubuntu.com>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, docbook-to-man, doxygen, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgcrypt-dev, libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libspeex-dev, libsqlite3-dev, libxml2-dev, libxslt1-dev, libxtst-dev, libtqtinterface-doc, valgrind [!armel !mips !mipsel !riscv64], libxxf86vm-dev, libv4l-dev, libssl-dev, libtqca-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, docbook-to-man, doxygen, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgcrypt-dev, libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libspeex-dev, libsqlite3-dev, libxml2-dev, libxslt1-dev, libxtst-dev, libtqtinterface-doc, valgrind [!armel !mips !mipsel !riscv64], libxxf86vm-dev, libv4l-dev, libssl-dev, libtqca-dev
 Standards-Version: 3.8.4
 
 Package: tdenetwork-trinity
 Section: tde
 Architecture: all
-Replaces: kdenetwork-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-kde3 (<< 4:14.0.0~), kdenetwork-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-kde3 (<< 4:14.0.0~), kdenetwork-trinity (<< 4:14.0.0~)
 Depends: dcoprss-trinity (>= ${source:Version}), tdenetwork-tdefile-plugins-trinity (>= ${source:Version}), kdict-trinity (>= ${source:Version}), tdednssd-trinity (>= ${source:Version}), kget-trinity (>= ${source:Version}), knewsticker-trinity (>= ${source:Version}), kopete-trinity (>= ${source:Version}), kpf-trinity (>= ${source:Version}), kppp-trinity (>= ${source:Version}), krdc-trinity (>= ${source:Version}), krfb-trinity (>= ${source:Version}), ksirc-trinity (>= ${source:Version}), kwifimanager-trinity (>= ${source:Version}), librss1-trinity (>= ${source:Version})
 Recommends: tdenetwork-filesharing-trinity (>= ${source:Version}), ktalkd-trinity (>= ${source:Version}), lisa-trinity (>= ${source:Version})
 Suggests: tdenetwork-trinity-doc-html (>= ${source:Version})
@@ -27,8 +27,8 @@
 Package: dcoprss-trinity
 Section: net
 Architecture: any
-Replaces: dcoprss-trinity (<< 4:14.0.0~)
-Breaks: dcoprss-trinity (<< 4:14.0.0~)
+Replaces: dcoprss-kde3 (<< 4:14.0.0~), dcoprss-trinity (<< 4:14.0.0~)
+Breaks: dcoprss-kde3 (<< 4:14.0.0~), dcoprss-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: RSS utilities for Trinity
  tdenetwork-dcoprss is a RSS to DCOP bridge, allowing all
@@ -44,8 +44,8 @@
 Package: tdenetwork-trinity-doc-html
 Architecture: all
 Section: doc
-Replaces: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
-Breaks: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
+Replaces: kdenetwork-kde3-doc-html (<< 4:14.0.0~), kdenetwork-trinity-doc-html (<< 4:14.0.0~)
+Breaks: kdenetwork-kde3-doc-html (<< 4:14.0.0~), kdenetwork-trinity-doc-html (<< 4:14.0.0~)
 Suggests: konqueror-trinity | www-browser, tdebase-trinity
 Description: Trinity network documentation in HTML format
  By default the modules provided by TDE only provide their documentation
@@ -64,8 +64,8 @@
 Package: tdenetwork-tdefile-plugins-trinity
 Section: tde
 Architecture: any
-Replaces: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-kfile-plugins-kde3 (<< 4:14.0.0~), kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-kfile-plugins-kde3 (<< 4:14.0.0~), kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Enhances: konqueror-trinity
 Description: torrent metainfo plugin for Trinity
@@ -80,8 +80,8 @@
 Package: tdenetwork-filesharing-trinity
 Section: net
 Architecture: any
-Replaces: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-filesharing-kde3 (<< 4:14.0.0~), kdenetwork-filesharing-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-filesharing-kde3 (<< 4:14.0.0~), kdenetwork-filesharing-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: perl-suid
 Description: network filesharing configuration module for Trinity
@@ -94,8 +94,8 @@
 Package: kdict-trinity
 Section: net
 Architecture: any
-Replaces: kdict-trinity (<< 4:14.0.0~)
-Breaks: kdict-trinity (<< 4:14.0.0~)
+Replaces: kdict-kde3 (<< 4:14.0.0~), kdict-trinity (<< 4:14.0.0~)
+Breaks: kdict-kde3 (<< 4:14.0.0~), kdict-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Provides: dict-client-trinity
@@ -111,8 +111,8 @@
 Package: kget-trinity
 Section: net
 Architecture: any
-Replaces: kget-trinity (<< 4:14.0.0~)
-Breaks: kget-trinity (<< 4:14.0.0~)
+Replaces: kget-kde3 (<< 4:14.0.0~), kget-trinity (<< 4:14.0.0~)
+Breaks: kget-kde3 (<< 4:14.0.0~), kget-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: download manager for Trinity
@@ -129,8 +129,8 @@
 Package: knewsticker-trinity
 Section: tde
 Architecture: any
-Replaces: knewsticker-trinity (<< 4:14.0.0~)
-Breaks: knewsticker-trinity (<< 4:14.0.0~)
+Replaces: knewsticker-kde3 (<< 4:14.0.0~), knewsticker-trinity (<< 4:14.0.0~)
+Breaks: knewsticker-kde3 (<< 4:14.0.0~), knewsticker-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, kicker-trinity
 Suggests: khelpcenter-trinity, knewsticker-scripts-trinity
 Description: news ticker applet for Trinity
@@ -146,8 +146,8 @@
 Package: kopete-trinity
 Section: tde
 Architecture: any
-Replaces: kopete-trinity (<< 4:14.0.0~)
-Breaks: kopete-trinity (<< 4:14.0.0~)
+Replaces: kopete-kde3 (<< 4:14.0.0~), kopete-trinity (<< 4:14.0.0~)
+Breaks: kopete-kde3 (<< 4:14.0.0~), kopete-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: tqca-tls
 Suggests: tdeartwork-emoticons-trinity, khelpcenter-trinity, imagemagick, gnupg, gnomemeeting
@@ -169,8 +169,8 @@
 Package: kpf-trinity
 Section: net
 Architecture: any
-Replaces: kpf-trinity (<< 4:14.0.0~)
-Breaks: kpf-trinity (<< 4:14.0.0~)
+Replaces: kpf-kde3 (<< 4:14.0.0~), kpf-trinity (<< 4:14.0.0~)
+Breaks: kpf-kde3 (<< 4:14.0.0~), kpf-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: public fileserver for Trinity
@@ -185,8 +185,8 @@
 Package: kppp-trinity
 Section: net
 Architecture: any
-Replaces: kppp-trinity (<< 4:14.0.0~)
-Breaks: kppp-trinity (<< 4:14.0.0~)
+Replaces: kppp-kde3 (<< 4:14.0.0~), kppp-trinity (<< 4:14.0.0~)
+Breaks: kppp-kde3 (<< 4:14.0.0~), kppp-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ppp
 Suggests: khelpcenter-trinity
 Description: modem dialer and ppp frontend for Trinity
@@ -204,8 +204,8 @@
 Package: krdc-trinity
 Section: net
 Architecture: any
-Replaces: krdc-trinity (<< 4:14.0.0~)
-Breaks: krdc-trinity (<< 4:14.0.0~)
+Replaces: krdc-kde3 (<< 4:14.0.0~), krdc-trinity (<< 4:14.0.0~)
+Breaks: krdc-kde3 (<< 4:14.0.0~), krdc-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Recommends: rdesktop, libjpeg-turbo62
@@ -220,8 +220,8 @@
 Package: krfb-trinity
 Section: net
 Architecture: any
-Replaces: krfb-trinity (<< 4:14.0.0~)
-Breaks: krfb-trinity (<< 4:14.0.0~)
+Replaces: krfb-kde3 (<< 4:14.0.0~), krfb-trinity (<< 4:14.0.0~)
+Breaks: krfb-kde3 (<< 4:14.0.0~), krfb-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Recommends: libjpeg-turbo62
@@ -239,30 +239,6 @@
 Package: ksirc-trinity
 Section: net
 Architecture: any
-Replaces: ksirc-trinity (<< 4:14.0.0~)
-Breaks: ksirc-trinity (<< 4:14.0.0~)
+Replaces: ksirc-kde3 (<< 4:14.0.0~), ksirc-trinity (<< 4:14.0.0~)
+Breaks: ksirc-kde3 (<< 4:14.0.0~), ksirc-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${perl:Depends}
-Recommends: libio-socket-ssl-perl
-Suggests: khelpcenter-trinity
-Description: IRC client for Trinity
- KSirc is an IRC chat client for TDE. It supports scripting with Perl and has a
- lot of compatibility with mIRC for general use.
- .
- If you want to connect to an IRC server via SSL, you will need to install the
- recommended package libio-socket-ssl-perl.
- .
- This package is part of Trinity, as a component of the TDE network module.
- See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.
-
-Package: ktalkd-trinity
-Section: net
-Priority: extra
-Replaces: ktalkd-trinity (<< 4:14.0.0~)
-Breaks: ktalkd-trinity (<< 4:14.0.0~)
-Architecture: any
-Depends: ${shlibs:Depends}, netbase, update-inetd
-Recommends: talk, ytalk
-Suggests: khelpcenter-trinity
-Provides: talkd-trinity
-Description: talk daemon for Trinity
- KTalkd is an enhanced talk daemon - a program to handle incoming talk

## tdenetwork-trinity 14.1.6~pre0

=== debian/changelog ===
tdenetwork-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for fcb57dcacf723ee5bbf9b716871ba33181bc81d1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdenetwork-trinity 14.1.6~pre2

=== debian/changelog ===
tdenetwork-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 6803eb3edb6e72ee23c618fddee10a09624a06e6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:16:32 +0100

## tdenetwork-trinity 14.1.6~pre7

=== kopete/protocols/jabber/jingle/libjingle/talk/third_party/mediastreamer/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  -DG_LOG_DOMAIN="MediaStreamer"
)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../ortp
  ${CMAKE_BINARY_DIR}
  ${GLIB2_INCLUDE_DIRS}
  ${SPEEX_INCLUDE_DIRS}
)


##### mediastreamer (static) ####################

tde_add_library( mediastreamer STATIC_PIC
  SOURCES
    msfilter.c mscodec.c mssoundread.c mssoundwrite.c msbuffer.c
    msqueue.c msfifo.c ms.c mssync.c msnosync.c msread.c mswrite.c
    mscopy.c msosswrite.c msossread.c msringplayer.c msrtprecv.c
    msrtpsend.c msAlawenc.c msAlawdec.c msMUlawenc.c msMUlawdec.c
    mstimer.c msqdispatcher.c msfdispatcher.c sndcard.c osscard.c
    alsacard.c jackcard.c audiostream.c msspeexenc.c
    msspeexdec.c msilbcdec.c msilbcenc.c
)

=== debian/changelog ===
tdenetwork-trinity (4:14.1.6~pre7-0ubuntu25.10.0+1) questing; urgency=low

  * Automated git build for c05141726d71845ae3b5fd3c0c7754aef4a953ee
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:18:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Modestas Vainius <geromanas@mailas.com>, Sarah Hobbs <hobbsee@ubuntu.com>, Sune Vuorela <debian@pusling.com>
-Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, docbook-to-man, doxygen, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgcrypt-dev, libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libspeex-dev, libsqlite3-dev, libxml2-dev, libxslt1-dev, libxtst-dev, libtqtinterface-doc, valgrind [!armel !mips !mipsel !riscv64], libxxf86vm-dev, libv4l-dev, libssl-dev, libtqca-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, docbook-to-man, doxygen, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgcrypt-dev, libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libspeex-dev, libsqlite3-dev, libxml2-dev, libxslt1-dev, libxtst-dev, libtqtinterface-doc, valgrind [!armel !mips !mipsel !riscv64 !loong64], libxxf86vm-dev, libv4l-dev, libssl-dev, libtqca-dev
 Standards-Version: 3.8.4
 
 Package: tdenetwork-trinity

## tdenetwork-trinity 14.1.6~pre10

=== debian/changelog ===
tdenetwork-trinity (4:14.1.6~pre10-0ubuntu24.10.0+1) oracular; urgency=low

  * Automated git build for 700d35161e0b28e2beb3bfacd6de8981ebe9979a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 08 Feb 2026 22:37:15 +0100

## tdenetwork-trinity 14.1.6~pre11

=== debian/changelog ===
tdenetwork-trinity (4:14.1.6~pre11-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for b00823e8f22764797880f56715e270ffd9a07268
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Feb 2026 10:56:25 +0100
